package top.continew.admin.business.model.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Schema(description = "任务信息响应体")
public class TaskInfoResp implements Serializable {

    @Schema(description = "任务id")
    private String id;

    /**
     * 任务名称
     */
    @Schema(description = "任务名称")
    private String name;

    /**
     * 名称日文
     */
    @Schema(description = "名称日文")
    private String nameJa;

    /**
     * 名称韩文
     */
    @Schema(description = "名称韩文")
    private String nameKo;

    /**
     * 名称泰语
     */
    @Schema(description = "名称泰语")
    private String nameTh;

    /**
     * 名称越南语
     */
    @Schema(description = "名称越南语")
    private String nameVi;

    /**
     * 名称俄语
     */
    @Schema(description = "名称俄语")
    private String nameRu;

    /**
     * 名称英文
     */
    @Schema(description = "名称英文")
    private String nameEn;

    /**
     * 名称葡萄牙语
     */
    @Schema(description = "名称葡萄牙语")
    private String namePt;

    /**
     * 名称波斯语
     */
    @Schema(description = "名称波斯语")
    private String nameFa;

    /**
     * 名称西班牙语
     */
    @Schema(description = "名称西班牙语")
    private String nameEs;

    /**
     * 任务说明
     */
    @Schema(description = "任务说明")
    private String instruction;

    /**
     * 任务图标
     */
    @Schema(description = "任务图标")
    private String taskIcon;

    /**
     * 任务链接
     */
    @Schema(description = "任务链接")
    private String taskLink;

    /**
     * 任务开始接口链接
     */
    @Schema(description = "任务开始接口链接")
    private String taskAcceptApiLink;

    /**
     * 自动关闭阈值
     */
    @Schema(description = "自动关闭阈值")
    private Integer autoCloseThreshold;

    /**
     * 完成次数
     */
    @Schema(description = "完成次数")
    private Integer doneCount;


    /**
     * 任务分类编码
     */
    @Schema(description = "任务分类编码")
    private String categoryCode;

    /**
     * 1开启0关闭2自动关闭
     */
    @Schema(description = "1开启0关闭")
    private Integer status;

    /**
     * 金币数量
     */
    @Schema(description = "金币数量")
    private Integer goldCoin;

    /**
     * 排序
     */
    @Schema(description = "排序")
    private Integer sortNum;

    /**
     * 逻辑删除 0 未删除 1 已删除
     */
    @Schema(description = "逻辑删除")
    private Integer delFlag;

    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;

    /**
     * 更新人
     */
    @Schema(description = "更新人")
    private String updateBy;

    /**
     * 创建时间
     */
    @Schema(description = "创建时间")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @Schema(description = "更新时间")
    private LocalDateTime updatedTime;
}
